* {
    border: none;
    margin: 0;
    padding: 0;
    box-sizing: border-box ;
}

body {
      color: #424242;
      font-family: 'Open Sans', Arial, Helvetica, sans-serif;
      font-size: 16px;
      padding-top: 90px;
}
:root {
--main-color: #cf191a;
--main-color-light: #e94242
}
@media (min-width: 992px) {
    body {
        padding-top: 120px;
    }
}
a {
    color:rgb(80, 136, 168)
}

/*header*/
.header {
    box-shadow: 0 3px 4px rgba(0,0,0,0.21);
   padding: 10px 0;
    position: fixed;
    width: 100%;
    background: #fff;
    left: 0;
    top:0;
}

.header .container {
    display: flex;
    justify-content: space-between;

}

.menu-container {
display: flex;
align-items: center;
}
.header a {
    text-decoration:none;
    color: inherit;
}

.header.logo {

}

#btn-cart {
    font-size: 30px;
    background: none;
    width: 60px;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--main-color);
    position: relative;
}

.badge {
    background: #fff ;
    width: 20px;
    height: 20px;
    font-size: 12px;
    border: 1px solid var(--main-color);
    color: var(--main-color);
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 100%;
    right: 5px;
    bottom: 5px;
    position: absolute;
}

@media (min-width: 992px) {
    .header.logo{
        height: 100px;
        width: auto;
    }
}

.container {

    padding-left: 12px;
    padding-right: 12px;

}

@media (min-width: 576px) {
    .containerm{
        width: 540 px;
        margin-left: auto;
        margin-right: auto;
    }
}

@media (min-width: 768px) {
    .containerm{
        width: 720px;
    }
}

@media (min-width: 992px) {
    .containerm{
        width: 720px;
    }
}

@media (min-width: 1200px) {
    .container {
        width: 1140px;
    }
}

@media (min-width:1400px) {
    .container {
        width: 1320px;
    }
}

h1 {
    text-align:center;
    margin: 30px 0 15px 0;
    font-weight: 600;
    font-size: 36px;
    font-weight: 600;
    font-size: 36px;
}
h2 .h2 {
    font-size: 24px;
    font-weight: 600;
}

h3 .h3 {
    font-size: 16px;
    font-weight: 600;
    color: #333;
}

/*CARD*/
.card {
    box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.25);
    border-radius: 5px 10px 15px 20px;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

.card img {
    width: 100%;
    height: auto;
    display: block
}

.card-content {
    padding: 10px;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
}

.card-price {
    color: #37C957;
    font-weight: 600;
    margin-bottom: 5px;
}

.card-content p {
    font-size: 14px;
    margin-bottom: 10px;
}

/*PRICE*/
.price {
    color: #37C957;
    font-weight: 600;
    margin-bottom: 5px;
    font-size: 14px;
}

.card-content .btn {
    margin-top: auto;
}


/*button*/
.btn {
    text-align: center;
    font-size: 16px;
    cursor: pointer;
    background-color: #ddd;
    color: #424242;
    padding: 9px 15px;
    border-radius: 5px;
    transition: all 0.3s linear;
}

.btn-main {
    background-color: var(--main-color);
    border: 1px solid var(--main-color);
    color: #fff;
}
.btn-main:hover {
    background-color: var(--main-color-light);
    border-color: var(--main-color-light);
}

.btn-main-outline {
    color: var(--main-color);
    border: 1px solid var(--main-color);
    background: transparent;
}

.btn-main-outline:hover {
    background-color: var(--main-color);
    color: #fff
}

.btn-block {
    width: 100%;
}

/*products-grid*/
.products-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 12px;
}
@media (min-width: 576px) {
    #products-grid {
        grid-template-columns: 1fr 1fr 1fr;
        gap: 12px;
    }
}

@media(min-width: 992px) {
    #products-grid {
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 12px;
    }
}

/*footer*/
.footer {
    background-color: #333;
    color: #fff;
    text-align: center;
    margin-top: 50px;
    padding: 30px 0;
}

.footer p {
    margin-bottom: 12px;
    font-weight: 600;
}

.footer a {
    color: inherit;
    font-size: 24px;
    text-decoration: none;
}

.footer .fa-whatsapp-square {
    color: #26D367;
    font-size: 44px;
    vertical-align: middle;
    margin-right: 14px;
}

@media (min-width: 768px) {
    .footer {
        display: flex;
        justify-content: center;
        align-items: center;
    }
}
.footer p {
    margin-right: 40px;
    margin-bottom: 0;
}
/*CART*/
.cart-sidebar {
    position: fixed;
    top: 0;
    right: 0;
    width: 100vw;
    height: 100vh;
    background-color: #fff;
    padding: 15px;
    display: flex;
    flex-direction: column;
    display: none;
}
#btn-close-cart {
    font-size: 30px;
    color: var(--main-color);
    background-color: transparent;
    padding: 5px;
    align-self: flex-end;
    cursor: pointer;
}
#empty-card {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    flex-grow: 1;
}

#empty-card .fa-shopping-bag {
    color: var(--main-color);
    font-size: 154px;
    opacity: 0.2;
    margin-bottom: 25px;
}
#cart-with-produtcs {
overflow: auto;
}

#cart-with-produtcs ul {
list-style: none;
}
#cart-with-products .btn-main-outline {
    margin-bottom: 12px;
}

.cart-item {
    display: grid;
    grid-template-columns: auto 1fr auto auto;
    gap: 12px;
    border-bottom: 1px solid #EAEAEA;
    padding: 12px 0;
}
.cart-item img {
    object-fit: cover;
    border-radius: 5px;
}

.card-item input {
    width: 68px;
    height: 38px;
    align-self: center;
    gap: 12px;
}

.cart-item button {
    color: var(--main-color);
    font-size: 15px;
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: transparent;
    align-self: center;
}

.cart-total {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 12px 0;
}
.cart-total .h2 {
    margin: 0;
}
.cart-total p:last-child {
font-size: 18px;   
}
/*FORMS*/
.form-input {
    border: 1px solid #ced4da;
    border-radius: 4px;
    font-size: 16px;
    padding: 9px;
}

@media(min-width: 768px) {
.cart-sidebar {
    width: 428px;
    box-shadow: -3px 0 6px rgba(0, 0, 0, .25);
}
}
